﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace XamDataChartColumnSeriesBinderCase
{
    public class SeriesDataContext : DependencyObject
    {
        public static DependencyProperty ItemProperty =
          DependencyProperty.Register("Item",
          typeof(object), typeof(SeriesDataContext),
          new PropertyMetadata(null,
              (o, e) =>
              {
              }));

        public object Item
        {
            get
            {
                return GetValue(ItemProperty);
            }
            set
            {
                SetValue(ItemProperty, value);
            }
        }

        public static DependencyProperty OuterContextProperty =
         DependencyProperty.Register("OuterContext",
         typeof(object), typeof(SeriesDataContext),
         new PropertyMetadata(null,
             (o, e) =>
             {
             }));

        public object OuterContext
        {
            get
            {
                return GetValue(OuterContextProperty);
            }
            set
            {
                SetValue(OuterContextProperty, value);
            }
        }

        public static DependencyProperty OwnerProperty =
          DependencyProperty.Register("Owner",
          typeof(XamDataChart), typeof(SeriesDataContext),
          new PropertyMetadata(null,
              (o, e) =>
              {
              }));

        public XamDataChart Owner
        {
            get
            {
                return (XamDataChart)GetValue(OwnerProperty);
            }
            set
            {
                SetValue(OwnerProperty, value);
            }
        }
    }

}
